%global momorel 7

Summary: Bluetooth support for GNOME
Name: gnome-bluetooth
Version: 2.30.0
Release: %{momorel}m%{?dist}
License: GPL and LGPL
Group: Applications/System
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.14.1
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnomeui-devel >= 2.20.0
BuildRequires: GConf2-devel >= 2.20.0
BuildRequires: libbtctl-devel >= 0.10.0
BuildRequires: pygtk2-devel >= 2.12.0
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: gnome-vfs2-devel >= 2.20.0
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: libgnome-devel >= 2.20.0
BuildRequires: bluez-libs-devel >= 4.0
BuildRequires: openobex-devel
Requires(pre): hicolor-icon-theme gtk2
Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2

Obsoletes: bluez-gnome bluez-gnome-analyzer
Requires: %{name}-libs = %{version}-%{release}

%description
This package contains a controller class, GnomebtController, to control
Bluetooth devices, and a simple GUI to explore which devices are
available (gnome-bluetooth-manager).  An OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your
PC, and save them in your home directory.  The program gnome-obex-send
enables you to send files.  It is used by the Nautilus component --
select the files you want to send and choose "Send via Bluetooth..."
from the context menu.

%package libs
Summary: %{name}-libs
Group: System Environment/Libraries

%description libs
%{name}-libs

%package devel
Summary: Development files for gnome-bluetooth
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for gnome-bluetooth

%prep

%setup -q 

%build
%configure \
    --enable-silent-rules \
    --disable-schemas-install \
    --enable-gtk-doc \
    --disable-desktop-update \
    --disable-icon-update \
    --enable-introspection=no \
    --disable-scrollkeeper \
    --enable-nautilus-sendto=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# conflict with bluez-gnome
desktop-file-install --vendor="gnome" \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update

gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
    > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
    > /dev/null || :
fi

%postun
rarian-sk-update

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_libdir}/gnome-bluetooth

%{_datadir}/applications/gnome-bluetooth-properties.desktop
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/bluetooth*
%{_datadir}/omf/gnome-bluetooth

%files libs
%defattr(-,root,root)
%{_libdir}/libgnome-bluetooth.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gtk-doc/html/gnome-bluetooth
%{_datadir}/gnome/help/gnome-bluetooth

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.0-7m)
- full rebuild for mo7 release

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.0-6m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.30.0-5m)
- add Requires: GConf2

* Thu Jul 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-4m)
- fix req

* Wed Jul 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-3m)
- split libs

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Wed Dec 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.6-1m)
- update to 2.28.6
 
* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.3-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.3-1m)
- update to 2.28.3

* Tue Sep 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-2m)
- Obsoletes: bluez-gnome bluez-gnome-analyzer

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0
-- disable-introspection
-- DbusGir-1.0.dir does not exist in momonga

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-3m)
- fix autostart

* Sun Mar 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-2m)
- fix conflicts files

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.27.1-1m)
- update to 2.27.1

* Sat Jan 24 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11.0-4m)
- add BuildRequires:

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.0-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.11.0-2m)
- rebuild against python-2.6.1-1m

* Sun Dec 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.0-1m)
- update 0.11.0

* Sun Dec 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-4m)
- rebuild against bluez-4.22

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-3m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-2m)
- rebuild against gcc43

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Wed Jul 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-3m)
- add -maxdepth 1 to del .la

* Thu May 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-2m)
- fix %%files

* Thu May 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- initial build
